## cimg 3.0.2+dfsg

=== examples/Makefile ===
#
#  File        : Makefile
#                ( Makefile for GNU 'make' utility )
#
#  Description : Makefile for compiling CImg-based code on Unix.
#                This file is a part of the CImg Library project.
#                ( http://cimg.eu )
#
#  Copyright   : David Tschumperlé
#                ( http://tschumperle.users.greyc.fr/ )
#
#  License     : CeCILL v2.0
#                ( http://www.cecill.info/licences/Licence_CeCILL_V2-en.html )
#
#  This software is governed by the CeCILL  license under French law and
#  abiding by the rules of distribution of free software.  You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  "http://www.cecill.info".
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  In this respect, the user's attention is drawn to the risks associated
#  with loading,  using,  modifying and/or developing or reproducing the
#  software by the user in light of its specific status of free software,
#  that may mean  that it is complicated to manipulate,  and  that  also
#  therefore means  that it is reserved for developers  and  experienced
#  professionals having in-depth computer knowledge. Users are therefore
#  encouraged to load and test the software's suitability as regards their
#  requirements in conditions enabling the security of their systems and/or
#  data to be ensured and,  more generally, to use and operate it in the
#  same conditions as regards security.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL license and that you accept its terms.
#

#-------------------------------------------------------
# Define the list of files to be compiled
# (name of the source files without the .cpp extension)
#-------------------------------------------------------

# Files which do not necessarily require external libraries to run.
FILES = CImg_demo \
        captcha \
        curve_editor2d \
        dtmri_view3d \
	edge_explorer2d \
	fade_images \
	gaussian_fit1d \
        generate_loop_macros \
	hough_transform2d \
	image_registration2d \
	image2ascii \
	image_surface3d \
	jawbreaker \
	mcf_levelsets2d \
	mcf_levelsets3d \
	odykill \
	pde_heatflow2d \
	pde_TschumperleDeriche2d \
	plotter1d \
	radon_transform2d \
	scene3d \
	spherical_function3d \
	tetris \
	tron \
	tutorial \
	wavelet_atrous \
	use_chlpca \
	use_draw_gradient \
	use_nlmeans \
	use_skeleton \
	use_RGBclass \

# Files which requires external libraries to run.
EXTRA_FILES = use_tiff_stream use_jpeg_buffer

#---------------------------------
# Set correct variables and paths
#---------------------------------
VERSION = $(shell grep 'cimg_version\ ' ../CImg.h | tail -c4 | head -c3)
VERSION1 = $(shell grep 'cimg_version\ ' ../CImg.h | tail -c4 | head -c1)
VERSION2 = $(shell grep 'cimg_version\ ' ../CImg.h | tail -c3 | head -c1)
VERSION3 = $(shell grep 'cimg_version\ ' ../CImg.h | tail -c2 | head -c1)
SVERSION = $(VERSION1).$(VERSION2).$(VERSION3)

X11PATH = /usr/X11R6

EXE_PRE =
EXE_EXT =
ifeq ($(MSYSTEM),MINGW32)
EXE_EXT = .exe
endif
ifeq ($(MSYSTEM),MINGW64)
EXE_EXT = .exe
endif

ifeq ($(shell echo $(notdir $(CXX)) | head -c3),g++)
IS_GCC = 1
endif
ifeq ($(shell echo $(notdir $(CXX)) | head -c7),clang++)
IS_CLANG = 1
endif
ifeq ($(shell echo $(notdir $(CXX)) | head -c4),icpc)
IS_ICPC = 1
endif

CXXVER = $(CXX)
CFLAGS = -I.. -Wall -Wextra -Wfatal-errors -Werror=unknown-pragmas -Werror=unused-label
LIBS = -lm
ifdef IS_GCC
CXXVER = $(shell $(CXX) -v 2>&1 | tail -n 1)
endif
ifdef IS_CLANG
CXXVER = $(shell $(CXX) -v 2>&1 | head -n 1)
endif
ifdef IS_ICPC
CXXVER = $(shell $(CXX) -v 2>&1)
CFLAGS = -I..
LIBS =
endif

ifdef IS_GCC
GCC_VER_GTEQ5 = $(shell expr `$(CXX) -dumpversion | cut -f1 -d.` \>= 5)
ifeq ($(GCC_VER_GTEQ5),1)
CFLAGS += -Wshadow
endif
endif

#--------------------------------------------------
# Set compilation flags allowing to customize CImg
#--------------------------------------------------

# Flags to enable strict code standards
ifeq ($(notdir $(CXX)),icpc)
ANSI_CFLAGS = -std=c++11
else
ANSI_CFLAGS = -std=c++11 -pedantic
endif

# Flags to enable code debugging.
DEBUG_CFLAGS = -Dcimg_verbosity=3 -Dcimg_strict_warnings -g -fsanitize=address

# Flags to enable color output messages.
# (requires a VT100 compatible terminal)
VT100_CFLAGS = -Dcimg_use_vt100

# Flags to enable code optimization by the compiler.
OPT_CFLAGS = -Ofast
ifdef IS_GCC
OPT_CFLAGS = -Ofast -mtune=generic
endif
ifdef IS_ICPC
OPT_CFLAGS = -fast
endif

# Flags to enable OpenMP support.
OPENMP_DEFINE = -Dcimg_use_openmp -fopenmp
OPENMP_INCDIR =
OPENMP_CFLAGS = $(OPENMP_DEFINE) $(OPENMP_INCDIR)
ifdef IS_ICPC
OPENMP_CFLAGS = #-Dcimg_use_openmp -openmp -i-static    # -> Seems to bug the compiler!
endif
ifdef IS_CLANG
OPENMP_CFLAGS =
endif

# Flags to enable OpenCV support.
OPENCV_DEFINE = -Dcimg_use_opencv
OPENCV_INCDIR = $(shell pkg-config opencv --cflags || echo -I/usr/include/opencv) -I/usr/include/opencv -I/usr/include/opencv4
OPENCV_CFLAGS = $(OPENCV_DEFINE) $(OPENCV_INCDIR)
OPENCV_LIBS = $(shell pkg-config opencv --libs || echo -lopencv_core -lopencv_highgui)

# Flags used to disable display capablities of CImg
NODISPLAY_CFLAGS = -Dcimg_display=0

# Flags to enable the use of the X11 library.
# (X11 is used by CImg to handle display windows)
X11_DEFINE = -Dcimg_display=1
X11_INCDIR = $(shell pkg-config --cflags x11 || echo -I/usr/X11R6/include)
X11_CFLAGS = $(X11_DEFINE) $(X11_INCDIR)
X11_LIBS = $(shell pkg-config --libs x11 || echo -L/usr/X11R6/lib -lX11) -lpthread

# Flags to enable fast image display, using the XSHM library (when using X11).
# !!! Seems to randomly crash when used on MacOS and 64bits systems, so use it only when necessary !!!
XSHM_CFLAGS = # -Dcimg_use_xshm $(shell pkg-config --cflags xcb-shm)
XSHM_LIBS = # $(shell pkg-config --libs xcb-shm || echo -L$(USR)/X11R6/lib -lXext)

# Flags to enable GDI32 display (Windows native).
GDI32_DEFINE = -mwindows
GDI32_INCDIR =
GDI32_CFLAGS = $(GDI32_DEFINE) $(GDI32_INCDIR)
GDI32_LIBS = -lgdi32

# Flags to enable screen mode switching, using the XRandr library (when using X11).
# ( http://www.x.org/wiki/Projects/XRandR )
# !!! Not supported by the X11 server on MacOS, so do not use it on MacOS !!!
XRANDR_DEFINE = -Dcimg_use_xrandr
XRANDR_INCDIR =
XRANDR_CFLAGS = $(XRANDR_DEFINE) $(XRANDR_INCDIR)
XRANDR_LIBS = -lXrandr

# Flags to enable native support for PNG image files, using the PNG library.
# ( http://www.libpng.org/ )
PNG_DEFINE = -Dcimg_use_png
PNG_INCDIR =
PNG_CFLAGS = $(PNG_DEFINE) $(PNG_INCDIR)
PNG_LIBS = -lpng -lz

# Flags to enable native support for JPEG image files, using the JPEG library.
# ( http://www.ijg.org/ )
JPEG_DEFINE = -Dcimg_use_jpeg
JPEG_INCDIR =
JPEG_CFLAGS = $(JPEG_DEFINE) $(JPEG_INCDIR)
JPEG_LIBS = -ljpeg

# Flags to enable native support for TIFF image files, using the TIFF library.
# ( http://www.libtiff.org/ )
TIFF_DEFINE = -Dcimg_use_tiff
TIFF_INCDIR =
TIFF_CFLAGS = $(TIFF_DEFINE) $(TIFF_INCDIR)
TIFF_LIBS = -ltiff

# Flags to enable native support for loading HEIF image files, using the libheif library.
# ( https://github.com/strukturag/libheif )
HEIF_DEFINE = -Dcimg_use_heif
HEIF_INCDIR =
HEIF_CFLAGS = $(HEIF_DEFINE) $(HEIF_INCDIR)
HEIF_LIBS = -lheif

# Flags to enable native support for MINC2 image files, using the MINC2 library.
# ( http://en.wikibooks.org/wiki/MINC/Reference/MINC2.0_Users_Guide )
MINC2_DEFINE = -Dcimg_use_minc2
MINC2_INCDIR = -I${HOME}/local/include
MINC2_CFLAGS = $(MINC2_DEFINE) $(MINC2_INCDIR)
MINC2_LIBS = -lminc_io -lvolume_io2 -lminc2 -lnetcdf -lhdf5 -lz -L${HOME}/local/lib

# Flags to enable native support for EXR image files, using the OpenEXR library.
# ( http://www.openexr.com/ )
OPENEXR_DEFINE = -Dcimg_use_openexr
OPENEXR_INCDIR = -I/usr/include/OpenEXR
OPENEXR_CFLAGS = $(OPENEXR_DEFINE) $(OPENEXR_INCDIR)
OPENEXR_LIBS = -lIlmImf -lHalf

# Flags to enable native support for various video files, using the FFMPEG library.
# ( http://www.ffmpeg.org/ )
FFMPEG_DEFINE = -Dcimg_use_ffmpeg -D__STDC_CONSTANT_MACROS
FFMPEG_INCDIR = -I/usr/include/libavcodec -I/usr/include/libavformat -I/usr/include/libswscale -I/usr/include/ffmpeg
FFMPEG_CFLAGS = $(FFMPEG_DEFINE) $(FFMPEG_INCDIR)
FFMPEG_LIBS = -lavcodec -lavformat -lswscale

# Flags to enable native support for compressed .cimgz files, using the Zlib library.
# ( http://www.zlib.net/ )
ZLIB_DEFINE = -Dcimg_use_zlib
ZLIB_INCDIR = $(shell pkg-config --cflags zlib || echo -I$(USR)/$(INCLUDE))
ZLIB_CFLAGS = $(ZLIB_DEFINE) $(ZLIB_INCDIR)
ZLIB_LIBS = $(shell pkg-config --libs zlib || echo -lz)

# Flags to enable native support for downloading files from the network.
# ( http://curl.haxx.se/libcurl/ )
CURL_DEFINE = -Dcimg_use_curl
CURL_INCDIR =
CURL_CFLAGS = $(CURL_DEFINE)
CURL_LIBS = -lcurl

# Flags to enable native support of most classical image file formats, using the Magick++ library.
# ( http://www.imagemagick.org/Magick++/ )
MAGICK_DEFINE = -Dcimg_use_magick
MAGICK_INCDIR = $(shell pkg-config --cflags GraphicsMagick++ || echo -I$(USR)/$(INCLUDE)/GraphicsMagick)
MAGICK_CFLAGS = $(MAGICK_DEFINE) $(MAGICK_INCDIR)
MAGICK_LIBS = $(shell pkg-config --libs GraphicsMagick++ || echo -lGraphicsMagick++)

# Flags to enable faster Discrete Fourier Transform computation, using the FFTW3 library
# ( http://www.fftw.org/ )
FFTW3_DEFINE = -Dcimg_use_fftw3
FFTW3_INCDIR =
FFTW3_CFLAGS = $(FFTW3_DEFINE) $(FFTW3_INCDIR)
ifeq ($(OSTYPE),msys)
FFTW3_LIBS = -lfftw3-3
else
FFTW3_LIBS = -lfftw3 -lfftw3_threads
endif

# Flags to enable the use of LAPACK routines for matrix computation
# ( http://www.netlib.org/lapack/ )
LAPACK_DEFINE = -Dcimg_use_lapack
LAPACK_INCDIR =
LAPACK_CFLAGS = $(LAPACK_DEFINE) $(LAPACK_INCDIR)
LAPACK_LIBS = -lblas -llapack

# Flags to enable the use of the Board library
# ( https://github.com/c-koi/libboard )
BOARD_DEFINE = -Dcimg_use_board
BOARD_INCDIR = -I/usr/include/board
BOARD_CFLAGS = $(BOARD_DEFINE) $(BOARD_INCDIR)
BOARD_LIBS = -lboard

# Flags to compile GIMP plug-ins.
ifeq ($(MSYSTEM),MINGW32)
GIMP_CFLAGS = -mwindows
endif

#-------------------------
# Define Makefile entries
#-------------------------
.cpp:
	@echo
	@echo "** Compiling '$* ($(SVERSION))' with '$(CXXVER)'"
	@echo
	$(CXX) -o $(EXE_PRE)$*$(EXE_EXT) $< $(CFLAGS) $(CONF_CFLAGS) $(LIBS) $(CONF_LIBS)
ifeq ($(STRIP_EXE),true)
	strip $(EXE_PRE)$*$(EXE_EXT)
endif
menu:
	@echo
	@echo "CImg Library $(SVERSION) : Examples"
	@echo "-----------------------------"
	@echo "  > linux    : Linux/BSD target, X11 display, optimizations disabled."
	@echo "  > dlinux   : Linux/BSD target, X11 display, debug mode."
	@echo "  > olinux   : Linux/BSD target, X11 display, optimizations enabled."
	@echo "  > mlinux   : Linus/BSD target, no display, minimal features, optimizations enabled."
	@echo "  > Mlinux   : Linux/BSD target, X11 display, maximal features, optimizations enabled."
	@echo
	@echo "  > macos    : MacOS target, X11 display, optimizations disabled."
	@echo "  > dmacos   : MacOS target, X11 display, debug mode."
	@echo "  > omacos   : MacOS target, X11 display, optimizations enabled."
	@echo "  > mmacos   : MacOS target, no display, minimal features, optimizations enabled."
	@echo "  > Mmacos   : MacOS target, X11 display, maximal features, optimizations enabled."
	@echo
	@echo "  > windows  : Windows target, GDI32 display, optimizations disabled."
	@echo "  > dwindows : Windows target, GDI32 display, debug mode."
	@echo "  > owindows : Windows target, GDI32 display, optimizations enabled."
	@echo "  > mwindows : Windows target, no display, minimal features, optimizations enabled."

=== debian/changelog ===
cimg (3.0.2+dfsg-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Mar 2022 13:40:18 +0100

=== debian/control ===
Source: cimg
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: doxygen,
                     libx11-dev,
                     libxrandr-dev,
                     libgraphicsmagick++1-dev | libmagick++-dev,
                     libfftw3-dev | fftw3-dev,
                     libgimp2.0-dev,
                     libopencv-dev,
                     libminc-dev,
                     libtiff5-dev,
                     libtiffxx5,
                     libcurl4-gnutls-dev | libcurl4-dev,
                     texlive-latex-extra,
                     texlive-fonts-recommended
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/cimg
Vcs-Git: https://salsa.debian.org/science-team/cimg.git
Homepage: http://cimg.sourceforge.net/
Rules-Requires-Root: no

Package: cimg-dev
Architecture: all
Depends: libx11-dev,
         libxrandr-dev,
         libopencv-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: xmedcon,
          lapack3-dev,
          cimg-doc,
          cimg-examples,
          libgraphicsmagick++1-dev | libmagick++-dev,
          libfftw3-dev | fftw3-dev,
          libgimp2.0-dev,
          libtiff5-dev,
          libtiffxx5
Description: powerful image processing library
 The CImg Library is a C++ toolkit providing simple classes and functions
 to load, save, process and display images in your own C++ code. It consists
 only of a single header file CImg.h that must be included in your program
 source. It contains useful image processing algorithms for loading/saving,
 resizing/rotating, filtering, object drawing (text, lines, faces,
 ellipses, ...), etc.
 .
 Images are instantiated by a class able to represent images up to 4-dimension
 wide (from 1-D scalar signals to 3-D volumes of vector-valued pixels), with
 template pixel types. It depends on a minimal number of libraries : you can
 compile it with only standard C libraries. No need for exotic libraries and
 complex dependencies.

Package: cimg-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Enhances: cimg-dev
Description: documentation of cimg-dev imaging library
 The CImg Library is a C++ toolkit providing simple classes and functions
 to load, save, process and display images in your own C++ code. It consists
 only of a single header file CImg.h that must be included in your program
 source. It contains useful image processing algorithms for loading/saving,
 resizing/rotating, filtering, object drawing (text, lines, faces,
 ellipses, ...), etc.
 .
 Images are instantiated by a class able to represent images up to 4-dimension
 wide (from 1-D scalar signals to 3-D volumes of vector-valued pixels), with
 template pixel types. It depends on a minimal number of libraries : you can
 compile it with only standard C libraries. No need for exotic libraries and
 complex dependencies.
 .
 This package contains the documentation.

Package: cimg-examples
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: cimg-dev,
            libgraphicsmagick++1-dev | libmagick++-dev,
            libfftw3-dev | fftw3-dev,
            libgimp2.0-dev,
            libopencv-dev
Enhances: cimg-dev,
          cimg-doc
Description: examples for cimg-dev imaging library
 The CImg Library is a C++ toolkit providing simple classes and functions
 to load, save, process and display images in your own C++ code. It consists
 only of a single header file CImg.h that must be included in your program
 source. It contains useful image processing algorithms for loading/saving,
 resizing/rotating, filtering, object drawing (text, lines, faces,
 ellipses, ...), etc.
 .
 Images are instantiated by a class able to represent images up to 4-dimension
 wide (from 1-D scalar signals to 3-D volumes of vector-valued pixels), with
 template pixel types. It depends on a minimal number of libraries : you can
 compile it with only standard C libraries. No need for exotic libraries and
 complex dependencies.
 .
 This package contains examples for the usage of the library.

## cimg 3.1.6+dfsg

=== debian/changelog ===
cimg (3.1.6+dfsg-6) unstable; urgency=medium

  * Team Upload.
  * B-D on libopenexr-dev instead

 -- Nilesh Patra <nilesh@debian.org>  Sat, 12 Nov 2022 20:26:22 +0530

cimg (3.1.6+dfsg-5) unstable; urgency=medium

  * Team Upload.
  * Remove the hack that looks quite bad and rather un-necessary
    (Closes: #1020028)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 01 Nov 2022 21:55:38 +0530

cimg (3.1.6+dfsg-4) unstable; urgency=medium

  * Build-/Test-Depends + Recommends: libheif-dev,
    libcurl4-gnutls-dev | libcurl4-dev,
    libgraphicsmagick++1-dev | libmagick++-dev,
    libfftw3-dev | fftw3-dev
  * Make autopkgtest architecture independent
  * Exclude blhc from Salsa CI

 -- Andreas Tille <tille@debian.org>  Fri, 28 Oct 2022 06:52:06 +0200

cimg (3.1.6+dfsg-3) unstable; urgency=medium

  * Test-Depends: build-essential
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2022 21:24:16 +0200

cimg (3.1.6+dfsg-2) unstable; urgency=medium

  * Version 3.1.6 fixes CVE-2022-1325
  * Work around the deficiency of openexr source package to not provide
    any liblOpenEXR.so in a devel package
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 14 Oct 2022 11:26:27 +0200

cimg (3.1.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Repository-Browse.
  * Try hard to follow new package and file layout of libimath-dev
    Closes: #1020028

 -- Andreas Tille <tille@debian.org>  Thu, 13 Oct 2022 21:43:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,24 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13),
+               libopenexr-dev <!nocheck>
 Build-Depends-Indep: doxygen,
                      libx11-dev,
                      libxrandr-dev,
-                     libgraphicsmagick++1-dev | libmagick++-dev,
-                     libfftw3-dev | fftw3-dev,
+                     libgraphicsmagick++1-dev | libmagick++-dev <!nocheck>,
+                     libfftw3-dev | fftw3-dev <!nocheck>,
+                     libimath-dev <!nocheck>,
+                     libheif-dev <!nocheck>,
                      libgimp2.0-dev,
                      libopencv-dev,
                      libminc-dev,
                      libtiff5-dev,
                      libtiffxx5,
-                     libcurl4-gnutls-dev | libcurl4-dev,
+                     libcurl4-gnutls-dev | libcurl4-dev <!nocheck>,
                      texlive-latex-extra,
                      texlive-fonts-recommended
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/cimg
 Vcs-Git: https://salsa.debian.org/science-team/cimg.git
 Homepage: http://cimg.sourceforge.net/
@@ -28,14 +31,17 @@
 Depends: libx11-dev,
          libxrandr-dev,
          libopencv-dev,
+         libimath-dev,
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: libheif-dev,
+            libcurl4-gnutls-dev | libcurl4-dev,
+            libgraphicsmagick++1-dev | libmagick++-dev,
+            libfftw3-dev | fftw3-dev
 Suggests: xmedcon,
           lapack3-dev,
           cimg-doc,
           cimg-examples,
-          libgraphicsmagick++1-dev | libmagick++-dev,
-          libfftw3-dev | fftw3-dev,
           libgimp2.0-dev,
           libtiff5-dev,
           libtiffxx5

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         build-essential,
         libilmbase25,
         libopenexr25,
         libheif-dev,
         libcurl4-gnutls-dev | libcurl4-dev,
         libgraphicsmagick++1-dev | libmagick++-dev,
         libfftw3-dev | fftw3-dev
Restrictions: allow-stderr

## cimg 3.2.0+dfsg

=== debian/changelog ===
cimg (3.2.0+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update tiff (build) dependencies.
    (closes: #1029109)
  * Fix test dependencies.

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Sun, 22 Jan 2023 15:34:45 +0100

## cimg 3.2.1+dfsg

=== examples/CMakeLists.txt ===
#
#  File        : CMakeLists.txt
#                ( Configuration file for 'cmake' utility )
#
#  Description : CMakeLists.txt configuration file for compiling CImg-based code.
#                This file is a part of the CImg Library project.
#                ( http://cimg.eu )
#
#  Copyright   : Antonio Albiol
#                ( http://personales.upv.es/~aalbiol/ )
#
#  License     : CeCILL v2.0
#                ( http://www.cecill.info/licences/Licence_CeCILL_V2-en.html )
#
#  This software is governed by the CeCILL  license under French law and
#  abiding by the rules of distribution of free software.  You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  "http://www.cecill.info".
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  In this respect, the user's attention is drawn to the risks associated
#  with loading,  using,  modifying and/or developing or reproducing the
#  software by the user in light of its specific status of free software,
#  that may mean  that it is complicated to manipulate,  and  that  also
#  therefore means  that it is reserved for developers  and  experienced
#  professionals having in-depth computer knowledge. Users are therefore
#  encouraged to load and test the software's suitability as regards their
#  requirements in conditions enabling the security of their systems and/or
#  data to be ensured and,  more generally, to use and operate it in the
#  same conditions as regards security.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL license and that you accept its terms.
#

cmake_minimum_required(VERSION 2.6)


PROJECT(Examples-CIMG)

# Prevent compilation in-source
if( ${CMAKE_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR} )
  Message( " " )
  Message( FATAL_ERROR "Source and build  directories are the same.
 Create an empty build directory,
 change into it and re-invoke cmake")
endif()


# To use PKG_CHECK_MODULES to find some optional packages
find_package(PkgConfig)

#    Tell CMake where to leave executables
SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR})

#Path of CImg.h file relative to this file path
set(CIMG_H_PATH ${PROJECT_SOURCE_DIR}/..)
include_directories( ${PROJECT_SOURCE_DIR} )
include_directories( ${CIMG_H_PATH} )




# ### CIMG related stuff
# Flags to enable fast image display, using the XSHM library.
SET(CIMG_XSHM_CCFLAGS  -Dcimg_use_xshm)

# Flags to enable screen mode switching, using the XRandr library.
SET(CIMG_XRANDR_CCFLAGS  -Dcimg_use_xrandr)

# Flags to enable native support for JPEG image files, using the JPEG library.
# ( http://www.ijg.org/ )
SET(CIMG_JPEG_CCFLAGS  -Dcimg_use_jpeg)

# Flags to enable native support for TIFF image files, using the TIFF library.
# ( http://www.libtiff.org/ )
SET(CIMG_TIFF_CCFLAGS  -Dcimg_use_tiff)

# Flags to enable native support for PNG image files, using the PNG library.
# ( http://www.libpng.org/ )
SET(CIMG_PNG_CCFLAGS  -Dcimg_use_png)

#Flags to enable OPENCV support (Camera)
# ( http://www.opencv.org/ )
SET(CIMG_OPENCV_CCFLAGS-Dcimg_use_opencv)

# Flags to enable native support for EXR image files, using the OpenEXR library.
# ( http://www.openexr.com/ )
SET(CIMG_OPENEXR_CCFLAGS  -Dcimg_use_openexr)

# Flags to enable native support for various video files, using the FFMPEG library.
# ( http://www.ffmpeg.org/ )
SET(CIMG_FFMPEG_CCFLAGS  -Dcimg_use_ffmpeg)

# Flags to enable native support of most classical image file formats, using the Magick++ library.
# ( http://www.imagemagick.org/Magick++/ )
SET(CIMG_MAGICK_CCFLAGS -Dcimg_use_magick)

# Flags to enable faster Discrete Fourier Transform computation, using the FFTW3 library
# ( http://www.fftw.org/ )
SET(CIMG_FFTW3_CCFLAGS  -Dcimg_use_fftw3)

# Flags to enable native support for HEIC image files, using libheif.
# ( https://github.com/strukturag/libheif )
SET(CIMG_HEIC_CCFLAGS  -Dcimg_use_heic)



# ### Search Additional Libraries ##########
FIND_PACKAGE(OpenCV)
FIND_PACKAGE(JPEG)
FIND_PACKAGE(TIFF)
FIND_PACKAGE(PNG)
FIND_PACKAGE(ZLIB)
FIND_PACKAGE(LAPACK)
FIND_PACKAGE(BLAS)

if(PKG_CONFIG_FOUND)
  pkg_check_modules(PC_HEIF libheif QUIET)
endif()

find_path(HEIF_INCLUDE_DIR NAMES libheif/heif_cxx.h
                           PATHS ${PC_HEIF_INCLUDEDIR})
find_library(HEIF_LIBRARY NAMES heif libheif
                          PATHS ${PC_HEIF_LIBDIR})

set(HEIF_VERSION ${PC_HEIF_VERSION})

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(HEIF
                                  REQUIRED_VARS HEIF_LIBRARY HEIF_INCLUDE_DIR
                                  VERSION_VAR HEIF_VERSION)

PKG_CHECK_MODULES(FFTW3 fftw3)
PKG_CHECK_MODULES(OPENEXR OpenEXR)
PKG_CHECK_MODULES(MAGICK Magick++)

# PKG_CHECK_MODULES(LIBAVCODEC libavcodec)
# PKG_CHECK_MODULES(LIBAVFORMAT libavformat)
# PKG_CHECK_MODULES(LIBSWSCALE libswscale)
# PKG_CHECK_MODULES(LIBAVUTIL libavutil)

if(NOT WIN32)
  FIND_PACKAGE(X11)
  FIND_PACKAGE(Threads REQUIRED)
endif()

# #### End of additional libraries search ##########


### Configure Paths according to detected packages
if(TIFF_FOUND)
  get_filename_component(TIFF_LIB_DIRS ${TIFF_LIBRARIES} PATH)
  SET(CIMG_CFLAGS "${CIMG_CFLAGS} ${CIMG_TIFF_CCFLAGS}")
  link_directories(${TIFF_LIB_DIRS})
  include_directories(${TIFF_INCLUDE_DIR})
  SET(SYSTEM_LIBS ${SYSTEM_LIBS} ${TIFF_LIBRARIES})
endif()



if(JPEG_FOUND)
  get_filename_component(JPEG_LIB_DIRS ${JPEG_LIBRARIES} PATH)
  SET(CIMG_CFLAGS "${CIMG_CFLAGS} ${CIMG_JPEG_CCFLAGS}")
  link_directories(${JPEG_LIB_DIRS})
  include_directories(${JPEG_INCLUDE_DIR})
  SET(SYSTEM_LIBS ${SYSTEM_LIBS} ${JPEG_LIBRARIES})
endif()




if (ZLIB_FOUND)
  SET(CIMG_CFLAGS "${CIMG_CFLAGS} ${CIMG_ZLIB_CCFLAGS}")
  link_directories(${ZLIB_LIB_DIRS})
  include_directories(${ZLIB_INCLUDE_DIR})
  SET(SYSTEM_LIBS ${SYSTEM_LIBS} ${ZLIB_LIBRARIES})

  # PNG requires ZLIB
  if(PNG_FOUND)
    SET(CIMG_CFLAGS "${CIMG_CFLAGS} ${CIMG_PNG_CCFLAGS}")
    link_directories(${PNG_LIB_DIRS})
    include_directories(${PNG_INCLUDE_DIR} )
    SET( SYSTEM_LIBS ${SYSTEM_LIBS} ${PNG_LIBRARIES} )
  endif()
endif()




if(FFTW3_FOUND)
  SET(CIMG_CFLAGS "${CIMG_CFLAGS} ${CIMG_FFTW3_CCFLAGS}")
  link_directories( ${FFTW3_LIBRARY_DIRS} )
  include_directories( ${FFTW3_INCLUDE_DIRS} )
  SET( SYSTEM_LIBS ${SYSTEM_LIBS} ${FFTW3_LIBRARIES} )
endif()




if(OPENEXR_FOUND)
  SET(CIMG_CFLAGS "${CIMG_CFLAGS} ${CIMG_OPENEXR_CCFLAGS}")
  link_directories( ${OPENEXR_LIBRARY_DIRS} )
  include_directories( ${OPENEXR_INCLUDE_DIRS} )
  SET( SYSTEM_LIBS ${SYSTEM_LIBS} ${OPENEXR_LIBRARIES} )
endif()


if(MAGICK_FOUND)
  SET(CIMG_CFLAGS "${CIMG_CFLAGS} ${CIMG_MAGICK_CCFLAGS}")
  link_directories( ${MAGICK_LIBRARY_DIRS} )
  include_directories( ${MAGICK_INCLUDE_DIRS} )
  SET( SYSTEM_LIBS ${SYSTEM_LIBS} ${MAGICK_LIBRARIES} )
endif()

if(HEIF_FOUND)
  get_filename_component(HEIF_LIB_DIRS ${HEIF_LIBRARY} PATH)
  SET(CIMG_CFLAGS "${CIMG_CFLAGS} ${CIMG_HEIC_CCFLAGS}")
  link_directories( ${HEIF_LIB_DIRS} )
  include_directories( ${HEIF_INCLUDE_DIRS} )
  SET( SYSTEM_LIBS ${SYSTEM_LIBS} ${HEIF_LIBRARY} )
endif()


if( LIBAVCODEC_FOUND  AND LIBAVFORMAT_FOUND AND LIBSWSCALE_FOUND AND LIBAVUTIL_FOUND )
  SET(CIMG_CFLAGS "${CIMG_CFLAGS} ${CIMG_FFMPEG_CCFLAGS}")
  link_directories( ${LIBAVFORMAT_LIBRARY_DIRS} )
  link_directories( ${LIBAVCODEC_LIBRARY_DIRS} )
  link_directories( ${LIBSWSCALE_LIBRARY_DIRS} )
  link_directories( ${LIBAVUTIL_LIBRARY_DIRS} )
  include_directories( ${LIBAVFORMAT_INCLUDE_DIRS} ${LIBAVFORMAT_INCLUDE_DIRS}/libavformat)
  include_directories( ${LIBAVCODEC_INCLUDE_DIRS} ${LIBAVCODEC_INCLUDE_DIRS}/libavcodec )
  include_directories( ${LIBSWSCALE_INCLUDE_DIRS} ${LIBSWSCALE_INCLUDE_DIRS}/libswscale)
  include_directories( ${LIBAVUTIL_INCLUDE_DIRS} ${LIBAVUTIL_INCLUDE_DIRS}/libavutil )
  SET( SYSTEM_LIBS ${SYSTEM_LIBS} ${LIBAVFORMAT_LIBRARIES} )
  SET( SYSTEM_LIBS ${SYSTEM_LIBS} ${LIBAVCODEC_LIBRARIES} )
  SET( SYSTEM_LIBS ${SYSTEM_LIBS} ${LIBSWSCALE_LIBRARIES} )
  SET( SYSTEM_LIBS ${SYSTEM_LIBS} ${LIBAVUTIL_LIBRARIES} )
endif()


if(NOT APPLE)
  if(NOT WIN32)
    if(X11_FOUND)
      SET(CIMG_CFLAGS "${CIMG_CFLAGS} ${CIMG_XSHM_CCFLAGS} ${CIMG_XRANDR_CCFLAGS}")
      SET(SYSTEM_LIBS ${SYSTEM_LIBS} Xext Xrandr)
    endif()
  endif(NOT WIN32)
endif(NOT APPLE)

if(X11_FOUND)
  link_directories(${X11_LIB_DIRS})
  include_directories(${X11_INCLUDE_DIR})
  SET( SYSTEM_LIBS ${SYSTEM_LIBS} ${X11_LIBRARIES} )
endif()

if (NOT WIN32)
  SET( SYSTEM_LIBS ${SYSTEM_LIBS} ${CMAKE_THREAD_LIBS_INIT} )
endif()

if( WIN32)
  SET( SYSTEM_LIBS  ${SYSTEM_LIBS}  gdi32 )
endif()

if (OpenCV_FOUND)
  message("OpenCV Found")
  SET(CIMG_CFLAGS "${CIMG_CFLAGS} ${CIMG_OPENCV_CCFLAGS}")
  include_directories(${OpenCV_INCLUDE_DIRS})
  link_directories(${OpenCV_LIB_DIRS})
  SET( SYSTEM_LIBS  ${SYSTEM_LIBS}  ${OpenCV_LIBS} )
endif()



if(LAPACK_FOUND)
  SET(CIMG_CFLAGS "${CIMG_CFLAGS} ${CIMG_LAPACK_CCFLAGS}")
  link_directories( ${LAPACK_LIBRARY_DIRS} )
  include_directories( ${LAPACK_INCLUDE_DIRS} )
  SET( SYSTEM_LIBS ${SYSTEM_LIBS} ${LAPACK_LIBRARIES} )
endif()

if(BLAS_FOUND)
  SET(CIMG_CFLAGS "${CIMG_CFLAGS} ${CIMG_BLAS_CCFLAGS}")
  link_directories( ${BLAS_LIBRARY_DIRS} )
  include_directories( ${BLAS_INCLUDE_DIRS} )
  SET( SYSTEM_LIBS ${SYSTEM_LIBS} ${BLAS_LIBRARIES} )
endif()


# Add CIMG Flags to Compilation Flags
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CIMG_CFLAGS}")


SET(CIMG_FILES CImg_demo
  captcha
  curve_editor2d
  dtmri_view3d
  edge_explorer2d
  fade_images
  gaussian_fit1d
  generate_loop_macros
  hough_transform2d
  image_registration2d
  image2ascii
  image_surface3d
  jawbreaker
  mcf_levelsets2d
  mcf_levelsets3d
  odykill
  pde_heatflow2d
  pde_TschumperleDeriche2d
  plotter1d
  radon_transform2d
  scene3d
  spherical_function3d
  tetris
  tron
  tutorial
  wavelet_atrous
  use_draw_gradient
  use_nlmeans
  use_skeleton
  use_RGBclass
  )

foreach(program ${CIMG_FILES})
  add_executable(${program} ${program}.cpp)
  target_link_libraries(${program} ${SYSTEM_LIBS} )
endforeach(program)

=== examples/Makefile ===
--- 
+++ 
@@ -153,7 +153,11 @@
 # Flags to enable code optimization by the compiler.
 OPT_CFLAGS = -Ofast
 ifdef IS_GCC
-OPT_CFLAGS = -Ofast -mtune=generic
+# Add -mtune=generic for GCC if supported.
+NO_MTUNE_GENERIC = $(shell $(CXX) -mtune=generic -E - < /dev/null > /dev/null 2>&1; echo $$?)
+ifeq ($(NO_MTUNE_GENERIC),0)
+OPT_CFLAGS += -mtune=generic
+endif
 endif
 ifdef IS_ICPC
 OPT_CFLAGS = -fast
@@ -335,4 +339,3 @@
 	@echo "  > windows  : Windows target, GDI32 display, optimizations disabled."
 	@echo "  > dwindows : Windows target, GDI32 display, debug mode."
 	@echo "  > owindows : Windows target, GDI32 display, optimizations enabled."
-	@echo "  > mwindows : Windows target, no display, minimal features, optimizations enabled."

=== debian/changelog ===
cimg (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 26 Feb 2023 17:13:06 +0100

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,11 @@
                      libgimp2.0-dev,
                      libopencv-dev,
                      libminc-dev,
-                     libtiff5-dev,
-                     libtiffxx5,
+                     libtiff-dev,
                      libcurl4-gnutls-dev | libcurl4-dev <!nocheck>,
                      texlive-latex-extra,
                      texlive-fonts-recommended
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/cimg
 Vcs-Git: https://salsa.debian.org/science-team/cimg.git
 Homepage: http://cimg.sourceforge.net/
@@ -43,8 +42,7 @@
           cimg-doc,
           cimg-examples,
           libgimp2.0-dev,
-          libtiff5-dev,
-          libtiffxx5
+          libtiff-dev
 Description: powerful image processing library
  The CImg Library is a C++ toolkit providing simple classes and functions
  to load, save, process and display images in your own C++ code. It consists

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         build-essential,
         libimath-dev,
         libopenexr-dev,
         libheif-dev,
         libcurl4-gnutls-dev | libcurl4-dev,
         libgraphicsmagick++1-dev | libmagick++-dev,
         libfftw3-dev | fftw3-dev
Restrictions: allow-stderr

## cimg 3.5.0+dfsg

=== examples/Makefile ===
--- 
+++ 
@@ -298,13 +298,20 @@
 LAPACK_LIBS = -lblas -llapack
 
 # Flags to enable the use of the Board library
-# ( https://github.com/c-koi/libboard )
+# ( https://github.com/GreycLab/libboard )
 BOARD_DEFINE = -Dcimg_use_board
 BOARD_INCDIR = -I/usr/include/board
 BOARD_CFLAGS = $(BOARD_DEFINE) $(BOARD_INCDIR)
 BOARD_LIBS = -lboard
 
-# Flags to compile GIMP plug-ins.
+# Enable native support of WebP image files, using the WebP library.
+# (https://chromium.googlesource.com/webm/libwebp/)
+WEBP_DEFINE = -Dcimg_use_webp
+WEBP_INCDIR = $(shell pkg-config --cflags libwebp)
+WEBP_CFLAGS = $(WEBP_DEFINE) $(WEBP_INCDIR)
+WEBP_LIBS = $(shell pkg-config --libs libwep || echo -lwebp)
+
+# Flags to compile executable on Windows.
 ifeq ($(MSYSTEM),MINGW32)
 GIMP_CFLAGS = -mwindows
 endif
@@ -334,8 +341,3 @@
 	@echo "  > dmacos   : MacOS target, X11 display, debug mode."
 	@echo "  > omacos   : MacOS target, X11 display, optimizations enabled."
 	@echo "  > mmacos   : MacOS target, no display, minimal features, optimizations enabled."
-	@echo "  > Mmacos   : MacOS target, X11 display, maximal features, optimizations enabled."
-	@echo
-	@echo "  > windows  : Windows target, GDI32 display, optimizations disabled."
-	@echo "  > dwindows : Windows target, GDI32 display, debug mode."
-	@echo "  > owindows : Windows target, GDI32 display, optimizations enabled."

=== debian/changelog ===
cimg (3.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.5.0+dfsg (Closes: #1068153)
  * Split up the two CeCILL licenses in debian/copyright
  * Added copyright and license details for plugins/inpaint.h

 -- Loren M. Lang <lorenl@north-winds.org>  Tue, 14 Jan 2025 23:12:03 -0800

cimg (3.2.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  [ Jeremy Bícha ]
  * Remove dependencies on libgimp2.0-dev. Closes: #1089658.
  [ Santiago Vila ]
  * Update Standards-Version.

 -- Santiago Vila <sanvila@debian.org>  Tue, 10 Dec 2024 19:32:00 +0100

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,13 @@
                      libfftw3-dev | fftw3-dev <!nocheck>,
                      libimath-dev <!nocheck>,
                      libheif-dev <!nocheck>,
-                     libgimp2.0-dev,
                      libopencv-dev,
                      libminc-dev,
                      libtiff-dev,
                      libcurl4-gnutls-dev | libcurl4-dev <!nocheck>,
                      texlive-latex-extra,
                      texlive-fonts-recommended
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/cimg
 Vcs-Git: https://salsa.debian.org/science-team/cimg.git
 Homepage: http://cimg.sourceforge.net/
@@ -41,7 +40,6 @@
           lapack3-dev,
           cimg-doc,
           cimg-examples,
-          libgimp2.0-dev,
           libtiff-dev
 Description: powerful image processing library
  The CImg Library is a C++ toolkit providing simple classes and functions
@@ -88,7 +86,6 @@
 Recommends: cimg-dev,
             libgraphicsmagick++1-dev | libmagick++-dev,
             libfftw3-dev | fftw3-dev,
-            libgimp2.0-dev,
             libopencv-dev
 Enhances: cimg-dev,
           cimg-doc

## cimg 3.5.2+dfsg

=== debian/changelog ===
cimg (3.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Feb 2025 11:46:14 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                      libcurl4-gnutls-dev | libcurl4-dev <!nocheck>,
                      texlive-latex-extra,
                      texlive-fonts-recommended
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/science-team/cimg
 Vcs-Git: https://salsa.debian.org/science-team/cimg.git
 Homepage: http://cimg.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules for cimg-dev package
# GNU copyright 2009 Andreas Tille <tille@debian.org>

pkg=cimg-dev
examples=cimg-examples
doc=cimg-doc

%:
	dh $@

override_dh_compress:
	dh_compress --exclude=.shtml \
	            --exclude=.pdf \
	            --exclude=.h \
	            --exclude=.cpp \
	            --exclude=.bmp \
	            --exclude=.pgm \
	            --exclude=.ppm \
	            --exclude=Makefile \
	            --exclude=.raw \
	            --exclude=.gmic

override_dh_installdocs:
	dh_installdocs
	find debian/cimg-doc -type f -name "*.html" -exec debian/remove_privacy_violating_js_code \{\} \;

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd examples && $(MAKE) Mlinux "LDFLAGS=-lm -lpthread -lHalf"
	# After test build of examples remove remaining object files
	cd examples && $(MAKE) clean
endif

CHANGEFILES=gaussian_fit1d.cpp \
            use_RGBclass.cpp

override_dh_clean:
	dh_clean
	rm -rf html/latex html/reference html/doxygen_sqlite3.db

override_dh_auto_build:
	dh_auto_build
	cd html && doxygen CImg.doxygen
	## since version 2.4.5 for some mysterious reason the generation
	## of PDF documentation does not work in pbuilder while it generates
	## nicely on a local testing machine.  The reason are not missing
	## texlive-* dependencies - it was tried to install all those texlive-*
	## packages from the testing machine into the pbuilder chroot and it
	## kept on failing.  So go without the pdf documentation until this
	## might be fixed
	# && cd latex && sed -i 's/pdflatex *refman/pdflatex -interaction=batchmode refman || true/' Makefile && make || true
	# autogenerated makefile lacks a final pdflatex call to get references right (that's why the above '|| true')
	# cd html/latex && pdflatex -interaction=batchmode refman || true

override_dh_install:
	dh_install
	# In gaussian_fit1d.cpp the files is included into itself and thus the current directory needs to be in include path
	cd debian/$(examples)/usr/share/doc/$(pkg)/examples; \
	    sed -i \
		-e 's?\(CFLAGS[[:space:]=]*-I\)\.\. -Wall -W?\1`pwd` -Wall -W?' \
		-e 's?\.\.//CImg.h?/usr/include/CImg.h?g' \
		Makefile; \
	    for file in $(CHANGEFILES) ; do \
		sed -i "s?#define cimg_plugin \"examples/$$file\"?#define cimg_plugin \"$$file\"?" $$file ; \
	    done
	mv html/reference/* debian/$(doc)/usr/share/doc/cimg-dev/html
	find debian -type f -name "_form*" -delete

override_dh_auto_clean:
	-cd examples && $(MAKE) clean
	dh_clean

=== debian/watch ===
version=4
opts="uversionmangle=s/^(\d)(\d)(\d)$/$1.$2.$3/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/dtschump/CImg/tags .*/v\.*(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
